# IMPORTANT NOTE: =========================================================
# Only commenting out a start/stop command will be preserved in this file.
# Any other user modifications will not be preserved. User ID overrides
# must be made in the config/kcirunas.cfg file to be preserved.
# IMPORTANT NOTE: =========================================================

start_all()
{
#      $CANDLEHOME/bin/CandleAgent start all >/dev/null 2>&1
      $CANDLEHOME/bin/itmcmd agent start all >/dev/null 2>&1
}

stop_all()
{
#      $CANDLEHOME/bin/CandleAgent stop all >/dev/null 2>&1
      $CANDLEHOME/bin/itmcmd agent stop all >/dev/null 2>&1
}

PATH="${CANDLEHOME}/bin:/bin:/usr/bin:$PATH"                              #IV41172
export PATH                                                               #IV23322
TEXTDOMAINDIR="${CANDLEHOME}/config/nls/msg"                              #IV23322
export TEXTDOMAINDIR                                                      #IV23322

set +e

case "$1" in
   "start"|"inetd")                                                       #IV23322
      start_all                                                           #IV23322
      ;;                                                                  #IV23322
   "stop")                                                                #IV23322
      stop_all                                                            #IV23322
      ;;                                                                  #IV23322
   "restart")                                                             #IV23322
      stop_all                                                            #IV23322
      start_all                                                           #IV23322
      ;;                                                                  #IV23322
   "stop_msg")                                                            #IV23322
      #$NLS-E$ "Stopping the IBM/Tivoli Monitoring agents"
      nls_replace 'KCI0002I'
      ;;
   "start_msg")                                                           #IV23322
      #$NLS-E$ "Starting the IBM/Tivoli Monitoring agents"
      nls_replace 'KCI0003I'
      ;;
   *)
      #$NLS-E$ "Syntax: $1 start|stop|restart|start_msg|stop_msg"         #IV23322
      nls_replace 'KCI0004E' "$0"                                         #IV23322
esac

exit 0                                                                    #IV23322